Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletConfig

All Known Implementing Classes:
  PortletConfigImpl

    public interface PortletConfig

The `PortletConfig` interface provides the portlet with its configuration. The configuration holds information about the portlet that is valid for all users. The configuration is retrieved from the portlet definition in the deployment descriptor. The portlet can only read the configuration data.

The configuration information contains the portlet name, the portlet initialization parameters, the portlet resource bundle and the portlet application context.

Version:
  $Revision: 5441 $
Author:
  Julien Viet
See Also:
  `Portlet`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String name)` Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.
`PortletContext` | `getPortletContext()` Returns the `PortletContext` of the portlet application the portlet is in.
`java.lang.String` | `getPortletName()` Returns the name of the portlet.
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)` Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

Method Detail

### getPortletName

    java.lang.String getPortletName()

  Returns the name of the portlet.

  The name may be provided via server administration, assigned in the portlet application deployment descriptor with the `portlet-name` tag.

  Returns:
    the portlet name

### getPortletContext

    PortletContext getPortletContext()

  Returns the `PortletContext` of the portlet application the portlet is in.

  Returns:
    a `PortletContext` object, used by the caller to interact with its portlet container
  See Also:
    `PortletContext`

### getResourceBundle

    java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

  Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

  Parameters:
    `locale` - the locale for which to retrieve the resource bundle
  Returns:
    the resource bundle for the given locale

### getInitParameter

    java.lang.String getInitParameter(java.lang.String name)
                                      throws java.lang.IllegalArgumentException

  Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.

  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter
  Throws:
    `java.lang.IllegalArgumentException` - if name is `null`.

### getInitParameterNames

    java.util.Enumeration getInitParameterNames()

  Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.

  Returns:
    an `Enumeration` of `String` objects containing the names of the portlet initialization parameters, or an empty `Enumeration` if the portlet has no initialization parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.